# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-09-04 11:56
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('trunk', '0037_auto_20180827_0828'),
    ]

    operations = [
        migrations.CreateModel(
            name='RoadMapColumn',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=50, null=True)),
                ('number', models.PositiveSmallIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='roadmap',
            name='column_names',
        ),
        migrations.AddField(
            model_name='roadmapcolumn',
            name='road_map',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.RoadMap'),
        ),
        migrations.AddField(
            model_name='roadmapblock',
            name='rm_column',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='trunk.RoadMapColumn'),
        ),
    ]
